%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% This package contains software developed during 
%% LATEX projet 2008-2011
%% www.com.univ-mrs.fr/LOPB/LATEX
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%
%% 02/12/2012 LR : translations and comments
%% 03/09/2012,FN+AD: bathymetry data added
%% 24/08/2012 AD: Submission of the paper to JTECH and beta release of LATEXtools
%%                merging the package for EGU2011 poster and software developed during 
%%                Latex10 cruise
%% 24/09/2010 AD & AP : "just arrived at harbour" release
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% LR : louise.rousselet@etu.univ-amu.fr
%% FN : francesco.nencioli@univ-amu.fr
%% AD : andrea.doglioli@univ-amu.fr
%% AP : anne.petrenko@univ-amu.fr
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%% LIST of SCRIPTS and FUNCTIONS %%%%%%%%%%%%%
%
%%%%%%%%%%% LAGRANGIAN NAVIGATION %%%%%%%%%%%%%%%%
%
%% lagrangian_navigation_demo
%
%% lagrangian_reconstitution_demo
%
%% lagrangian_release_demo
%
%% lagrangian_sampling_spiral
%
%%%%%%%%%%% GRAPHICS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%  map_ADCP         Plots ADCP vectors
%   plot_ADCP        Help to get all the necessary infos from the ADCP file
%    load_ADCP       Load data from ADCP file
%
%%  map_ARGOS        Plots trajectories of ARGOS buoys
%    plot_ARGOS      Help to get all the necessary infos from the Argos file - **.txt
%     load_ARGOS     Load data from Argos file
%
%%  map_AVHRR        Plots map of SST
%   plot_AVHRR       Helps to draw AVHRR frame
%    load_AVHRR      Load AVHRR data
%
%%  map_BATHY        Add high resolution isobath for NW Mediterranean
%    plot_BATHY      Help to draw high res isobaths
%     load_BATHY     data from BATHY_NWMED directory
%
%%  map_FSLE         Plots FSLE manifolds
%   plot_FSLE        Help to get FSLE infos
%    load_FSLE       Load data from FSLE
%
%%  map_FSLE_ADCP     Plot geographical map with FSLE-ADCP manifolds
%
%%  map_FSLE_ARGOS    Plot geographical map with FSLE-ARGOS manifolds
%
%%  map_SF6          Plots map of concentration
%   plot_SF6         Help to get infos to plot data of the SF6 concentration
%    load_SF6        Load data of the SF6 validated data
%
%%  map_VESSEL       Plots Vessel positions
%    plot_VESSEL     Help to get vessel infos to plot vessel positions
%     load_VESSEL    Load vessel data
%
%%%%%%%%%%% UTILITIES %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%  make_route       Draws a route and calculate time between stations
%
%%  make_clean_ADCP  Helps in positioning the cuts in ADCP data
%    clean_ADCP      Script for cutting ADCP data
%     regroup_ADCP   Script for matching data from different ADCP transects of a same cruise 
%
%    decideg_to_degmin         Convert geographical coordinate from decimal degrees to degrees minutes
%    degmin_to_decideg         Convert geographical coordinate from degrees minutes to decimal degrees
%    degminsec_to_decideg      Convert geographical coordinate from degrees minutes secondes to decimal degrees
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

