%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% LATEXtools_param.m (Matlab script)
%% 
%% Routine containing common parameters of the package
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% Choose you operating system to have the appropriate directory paths
system='lin'; % Linux
%system='mac'; % MAC
%system='win'; % Windows

if strcmp(system,'win') == 0

dirin_ADCP='ADCP/';
dirin_ARGOS='ARGOS/';
dirin_AVHRR='AVHRR/';
dirin_BATHY='BATHYMETRY_NWMED/';
dirin_FSLE='FSLE/';
dirin_SF6='SF6/';
dirin_VESSEL='Tethys/';
dirin_Log_Position='Log_Position/';

figdir='./figures/';

addpath(genpath('./'));

else

dirin_ADCP='ADCP\';
dirin_ARGOS='ARGOS\';
dirin_AVHRR='AVHRR\';
dirin_BATHY='BATHYMETRY_NWMED\';
dirin_FSLE='FSLE\';
dirin_SF6='SF6\';
dirin_VESSEL='Tethys\';
dirin_Log_Position='Log_Position\';

figdir='.\figures\';

addpath(genpath('.\'))

end

