%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  load_Argos.m
%  this subfunction helps us to get all the necessary
%  infos from the Arogs file - **.txt from Ifremer
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%
%% Credits: A.Doglioli & G.Rougier
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [time_id,lat,lon,buoy_id]=load_ARGOS(dirin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

r=dir([dirin,'*.tmp']);
r_name={r.name};

%%% find most recent file
Date_File_all=char(r_name);
Date_=datenum(Date_File_all(:,7:21),'yyyymmddTHHMMSS');
file_buoy=r(find(Date_==max(Date_))).name;
disp([' LAST RECEIVED Argos file : ',file_buoy])

Var=load([dirin,file_buoy]);

%  (PLATFORM,ARGOS_ID),DATE (DD MM YYYY HH MI SS),LATITUDE (degree_north),LONGITUDE (degree_east),TEMP LEVEL0 (Celsius degree),EWCT LEVEL1 (meter/second),NSCT LEVEL1 (meter/second),QC,SVP_RCBN_Number,SVP_GNRL_ImmPercent,SVP_GNRL_BattVolt
%           48943 01 09 2010 09 00 11   42.95070    5.81980
%           48943 01 09 2010 09 30 16   42.95400    5.80630
%           48943 01 09 2010 10 00 17   42.95820    5.79260
%           48943 01 09 2010 10 30 17   42.96270    5.77800

%%% add info from previous files
var=load([dirin,'LATEX.20100915T071502.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100915T231502.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100916T231502.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100917T231502.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100918T231501.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100919T231500.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100920T231501.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100921T231500.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100922T231500.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100923T231500.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100924T233002.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100925T233002.tmp']);
Var=[Var;var];
var=load([dirin,'LATEX.20100926T233002.tmp']);
Var=[Var;var];


yy=Var(:,4);
mm=Var(:,3);
dd=Var(:,2);
hh=Var(:,5);
mi=Var(:,6);
ss=Var(:,7);
time_id=datenum(yy,mm,dd,hh,mi,ss);%[day]

%%%ORDENING matrix with SORT
Var=[time_id Var];
Var=sortrows(Var,1);
time_id=Var(:,1);
Var(:,1)=[]; %%%remouving of the first column

buoy_id=Var(:,1);
lat=Var(:,8);
lon=Var(:,9);
    
return




















