%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%
%% Credits: P.Testorm, A.Doglioli, F.Nencioli
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [time,lat,lon]=load_VESSEL(dirin,interval,vessel_name)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

i=1;

%%% load position for entire days of the interval
for iday=[fix(interval(1)):1:fix(interval(2))]; %loop on days
    
[year,month,day,h,m,s]=datevec(iday);

fname=datestr(interval(1),'yyyymmdd');
fid=fopen([dirin,fname,'.',vessel_name],'r');

frewind(fid);
	while 1
		tline = fgetl(fid);
		if ~isstr(tline), break;end;
		if 0 % cleaner way to do it ?
			hh = rsplit('\s+',tline);
		else
		end
		% will have to take N and E into account ...
		iq=regexp(tline,'\s','start');
		if(length(iq) >= 4);
			tword = tline((iq(1)+1):(iq(2)-1));
			if ~isempty(tword);
				lat(i) = degmin_to_decideg(str2num(tword(1:2)),...
                                           str2num(tword(3:end)) ); %lat trimble
			else  
				lat(i) = nan;
			end     
			tword = tline((iq(3)+1):(iq(4)-1));
			if ~isempty(tword);     
				lon(i) = degmin_to_decideg(str2num(tword(1:3)),...
                                           str2num(tword(4:end)) ); %lon trimble
			else
				lon(i) = nan;
			end      
			tword = tline(1:(iq(1)-1));
			iiq = strfind(tword,'.');
			if  length(tline) >=6 & ~isempty(iiq)
				if iiq == 7 
					time(i) = datenum(year,month,day,...
                                      str2num(tword(1:2)),...
                                      str2num(tline((3:4))),...
                                      str2num(tline((5:6)))  );
				elseif iiq == 6
					time(i) = datenum(year,month,day,...
                                      str2num(tword(1:2)),...
                                      str2num(tline((3:4))),...
                                      str2num(tline((5:6)))  );
				else
					time(i) =nan;
				end
			else
				time(i) =nan;
			end   
			i = i+1;
		end
	end
	fclose(fid);

end%for iday
    
%%% take only the positions within the chosen interval
lon=lon(find(time>=interval(1) & time<=interval(2)) );
lat=lat(find(time>=interval(1) & time<=interval(2)) );
time=time(find(time>=interval(1) & time<=interval(2)) );

%return
