%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ Time_Bateau,Lat_Bateau,Lon_Bateau,vitesse_bateau,cap_bateau ] = lecture_trame_fichier_bateau(indice)

% fichier pos_bateau.txt (capture Hyperterminal)
% $INRMC,000000,A,4233.52,N,00330.00,E,008.1,188.2,020910,000.0,0*12
% $INGGA,165916.00,4233.51972,N,00330.00798,E,2,08,01.2,051.387,M,0.0,M,0.0
% ,0000*56

%Reading boat position
%  index ==0 opening
if indice == 0 %% opening
    disp(' ')
    disp(' Lecture trame Fichier BATEAU ')
    % opening file
    file_navire='IridiumLagrangianSpiralTest/ScanEtrack/pos_bateau.txt';
    f_n=fopen(file_navire);
    Trames=fread(f_n,'*char')';
    indice_modele_boat_GGA=strfind(Trames,'$INGGA');
    indice_modele_boat_RMC=strfind(Trames,'$INRMC');
    save boat_pos Trames indice_modele_boat_GGA indice_modele_boat_RMC;
else    % or else index in the file
    load  boat_pos;
    %search next weft INGGA in the entire table
    trame=Trames(indice_modele_boat_GGA(indice):indice_modele_boat_GGA(indice)+80);
    %decoding found position
    %$INGGA,165916.00,4233.51972,N,00330.00798,E,2,08,01.2,051.387,M,0.0,M,0.0
    %,0000*56
    comma=strfind(trame,',');
    Lat_Bateau_degre_minute=str2num(trame(comma(2)+1:comma(3)-1))/100;  %%% check
    Lat_Bateau=conversion(Lat_Bateau_degre_minute);
    Lon_Bateau_degre_minute=str2num(trame(comma(4)+1:comma(5)-1))/100;
    Lon_Bateau=conversion(Lon_Bateau_degre_minute);   
    Heure_Bateau=(trame(comma(1)+1:comma(2)-4));

    %search next position INRMC in the entire table
    trame=Trames(indice_modele_boat_RMC(indice):indice_modele_boat_RMC(indice)+65);
    %decoding found position
    %%$INRMC,000000,A,4233.52,N,00330.00,E,008.1,188.2,020910,000.0,0*12
    comma=strfind(trame,',');
    Date_Bateau=(trame(comma(9)+1:comma(10)-1));
    Time_Bateau=datevec([Date_Bateau,Heure_Bateau],'ddmmyyHHMMSS');  %% in days
    vitesse_bateau=str2num(trame(comma(7)+1:comma(8)-1));
    cap_bateau=str2num(trame(comma(8)+1:comma(9)-1));
    %disp([' Position Bateau le ',datestr(Time_Bateau),' Lat ',num2str(Lat_Bateau),' Lon ',num2str(Lon_Bateau)])

    % output time in seconds
    Time_Bateau=datenum(Time_Bateau)*86400; %% in seconds
end
% closing file
%% fclose(f_n);
% stringa=['copy c:\ScanEtrack\pos_bateau.txt c:\ScanEtrack\pos_bateau_',datestr(clock,'yyyymmddHHMMSS'),'.txt'];
% system(stringa);
% stringd=['del c:\ScanEtrack\pos_bateau.txt'];
% system(stringd);


end

