function [lon,lat,JULD,u,v,amp,angle,truez,iz,nE,nC,CAS_CURRENT_FLAG,REFERENCE_DATE_TIME,val_tps,gyro]=load_ADCP_Cascade(dirin,fname,seuil,z)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  load_ADCP.m
%  this subfunction helps us to get all the necessary
%  infos from the ADCP file - **sk.mat from Tethys 
%
%  z is the depth (negative value); the script will pick the vectors at
%  the closest depth to z;
%
%  ZiYuan HU Creation - 17/02/2009
%  Modified by Hu & Nencioli Sept 2010
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %Matlab version < 2010
% % % % % Create the pointer to the netcdf file
% % % %  nc=netcdf([dirin,fname]);
% % % % % Load the variables
% % % % lon=nc{'SecLon'}(:); % Longitude
% % % % lat=nc{'SecLat'}(:); % Latitude
% % % % temp=nc{'JULD'}(:);  % Time
% % % % u=nc{'UVEL_ADCP'}(:);% Zonal component of velocity (Eastward - m/s)
% % % % v=nc{'VVEL_ADCP'}(:);% Meridional component of velocity (Northward - m/s)
% % % % depth=nc{'DEPH'}(:); % Depth
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %Matlab version < 2010

% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % Matlab version = 2010
nc=netcdf.open([dirin,fname], 'NC_NOWRITE'); %adaption for Matlab2010a
% % % % % Load the variables
% varid = netcdf.inqVarID(ncid,varname);
lon=netcdf.getVar(nc,20)';; % Longitude varid=20; check the file 'varname2.txt'
lat=netcdf.getVar(nc,19)'; % Latitude varid=19;
JULD=netcdf.getVar(nc,13);  % Time varid=13;
% jjr=netcdf.getVar(nc,netcdf.inqVarId(nc,'REFERENCE_DATE_TIME'))';
% temp_ADCP=netcdf.inqVar(nc,'JULD_ADCP');  % Time
u=netcdf.getVar(nc,34);% Zonal component of velocity (Eastward - m/s) varid=34;
v=netcdf.getVar(nc,35);% Meridional component of velocity (Northward - m/s) varid=35;
depth=netcdf.getVar(nc,23); % Depth varid=23;
CAS_CURRENT_FLAG=netcdf.getVar(nc,54); % Flag varid=54;
REFERENCE_DATE_TIME=netcdf.getVar(nc,12); % 

%%%%%%%%%%%%% calculate the date
varid=netcdf.inqvarID(nc,'JULD')
% val_tps=netcdf.getvar(nc,varid);
val_tps=JULD;
isbad=find(val_tps==netcdf.getatt(nc,varid,'_FillValue'));
val_tps(isbad)=NaN;
jjr=netcdf.getVar(nc,netcdf.inqVarId(nc,'REFERENCE_DATE_TIME'))';
jrr=datenum(str2num(jjr(1:4)),str2num(jjr(5:6)),str2num(jjr(7:8)));
val_tps = val_tps + jrr;

netcdf.close(nc);

% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % Matlab version = 2010


% Change depth sign in z is positive
if z>0
	z=-z;
end
% Pick the desired depth
iz=find(abs(z-depth)==min(abs(z-depth)));
disp(['The vectors are from depth ',num2str(depth(iz)),' m'])
truez=depth(iz);
% Pick velocity at depth iz
% % % % % % % % % % % % % % % % % % %Matlab version < 2010
% % u=u(:,iz);
% % v=v(:,iz);
% nE is the number of location recorded;
% nC is the number of vertical records per location;
% % [nE,nC]=size(u);
% % % % % % % % % % % % % % % % % % %Matlab version < 2010

% % % % % % % % % % % % % Matlab version = 2010
u=u(iz,:);
v=v(iz,:);
[nC,nE]=size(u);
% % % % % % % % % % % % % Matlab version = 2010

% Compute velocity amplitude to remove outliers
% (seuil is the threshold)
[amp,angle]=umod(u,v);
u(amp<=0 | amp>=seuil)=NaN;
v(amp<=0 | amp>=seuil)=NaN;
amp(amp<=0 | amp>=seuil)=NaN;
% Dummy gyro variable
gyro=9999;
% % %--------------------------------
% % % Flip V component half-way just to see if rest of the package works
% % v(lon>-1.72,:)=-v(lon>-1.72,:);
% % %--------------------------------
% u=double(u);
% v=double(v);
% lon=double(lon);lat=double(lat);
return


