%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  plot_Argos.m
%  this subfunction helps us to get all the necessary
%  infos from the Arogs file - **.txt from Ifremer
%  Andrea Doglioli & Gilles Rougier - 06/09/2010 - mofication to read new
%  file of buoy send by Nicolas Martin 
%
% interval=time interva in day of the trajectory
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%
%% Credits: A.Doglioli
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [lat_id,lon_id,time_id]=plot_ARGOS(dirin,chosen_id,myopt,interval)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


[time_id,lat,lon,drifter_id]=load_ARGOS(dirin);

time_id=time_id(find(drifter_id==chosen_id));
lon_id=lon(find(drifter_id==chosen_id));
lat_id=lat(find(drifter_id==chosen_id));

indexes=find(time_id>=interval(1) & time_id<=interval(2)); 

lon_id=lon_id(indexes);
lat_id=lat_id(indexes);
time_id=time_id(indexes);%[days]

%%% remove spikes
range=m_lldist(lon_id,lat_id);%[km]
deltaT=diff(time_id);%[day]
speed=zeros(size(deltaT));
speed(find(deltaT~=0))=range(find(deltaT~=0))./deltaT(find(deltaT~=0));%[km/day]
%speed=speed.*1000/86400;%[m/s]
speed=speed./1.852/24;%[knots]
indexes2=find(abs(speed)<3.5);

lon_id=lon_id([indexes2; indexes2+1]);
lat_id=lat_id([indexes2; indexes2+1]);
time_id=time_id([indexes2; indexes2+1]);

%%% PLOT
m_plot(lon_id,lat_id,myopt);
%m_text(lon_id(end),lat_id(end),'e');

%m_text(lon_id(end-10),lat_id(end-10),num2str(chosen_id)); !!! change!!!
m_text(lon_id(1),lat_id(1),num2str(chosen_id));
%m_text(lon_id(end),lat_id(end),num2str(chosen_id));

%m_text(lon_id(1),lat_id(1),datestr(time_id(1),'dd/mm HH:MM'),...
%        'Color','k','FontWeight','bold');
m_text(lon_id(end),lat_id(end),datestr(time_id(end),'dd/mm HH:MM'),...
       'Color','k','FontWeight','bold');

return



