%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% plot_route.m (Matlab script)
%% 
%% Plots the planned route at the 2 last position of the reference buoy
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function []=plot_route(Lon_Buoy,Lat_Buoy,lonspir,latspir,mode)
%
% trace_Spirale
%
% mode 'old' or 'new' or 'dep'
% to difference old and new spirale
%

switch mode
    case 'new'
        %%%%plot position buoy
        m_plot(Lon_Buoy,Lat_Buoy,'o','markersize',10,...
        'MarkerFaceColor','b','MarkerEdgeColor','b');
        m_text(Lon_Buoy,Lat_Buoy,' New Pos ','fontweight','bold','color','b');
        m_plot(lonspir,latspir,'b-');    
        [trash,irmax]=size(lonspir);
        for ir=1:irmax
        %AD new format and order
        m_text(lonspir(ir), latspir(ir), num2str(ir),...
               'Color','b','BackgroundColor',[.7 .9 .7],...
               'FontSize',8);
        end
    case 'old'
        m_plot(Lon_Buoy,Lat_Buoy,'o','markersize',10,...
        'MarkerFaceColor','r','MarkerEdgeColor','r');
        m_text(Lon_Buoy,Lat_Buoy,' Old Pos ','fontweight','bold','color','r');
        m_plot(lonspir,latspir,'r:');    
        [trash,irmax]=size(lonspir);
        for ir=1:irmax
        %AD new format and order
        m_text(lonspir(ir), latspir(ir), num2str(ir),...
               'Color','r','BackgroundColor',[.7 .9 .7],...
               'FontSize',8);
        end
    case 'dep'
        m_plot(Lon_Buoy,Lat_Buoy,'o','markersize',10,...
        'MarkerFaceColor','r','MarkerEdgeColor','r');
        m_text(Lon_Buoy,Lat_Buoy,' Mise a l eau ','fontweight','bold','color','r');
        m_plot(lonspir,latspir,'r:');    
        [trash,irmax]=size(lonspir);
        for ir=1:irmax
        %AD new format and order
        m_text(lonspir(ir), latspir(ir), num2str(ir),...
               'Color','r','BackgroundColor',[.7 .9 .7],...
               'FontSize',8);
        end
end
        

end
