%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%                    LATEXtools                         %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  This  file  is  free software ;  it  is distributed  in  %
%%  the hope that  it  will  be  useful,  but  without  any  %
%%  warranty.  You  can  redistribute  it and/or modify  it  %
%%  under  the  terms  of  the  GNU  General Public License  %
%%  as  published  by  the   Free  Software  Foundation  at  %
%%       http://www.gnu.org/copyleft/gpl.html                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% spiral_conversion.m (Matlab script)
%% 
%% conversion of route points from cartesian to geographical coordinate
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 28/05/13 : andrea.doglioli@univ-amu.fr : first official release
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ lonspir, latspir ] = spiral_conversion( xc,yc,lon_min,lat_min,xx,yy )


 [lonc,latc]   = m_xy2ll(xc,yc);
    %---------------------------------------------%
    %- Convertion from cartesian coordinates to polar -%
    %---------------------------------------------%
    %%%distance W-E in [km] @lat_min betweem origine and  
    %%%center of the spiral
    DDX=m_lldist([lon_min lonc],[lat_min lat_min]);%[km]
    %%%distance S-N in [km] @lon_min (not important) betweem origine
    %%%and center of the spiral
    DDY=m_lldist([lon_min lon_min],[lat_min latc]);
    %%% distance W-E in [km] @lat_min betweem origine and
    %%% points of the spiral
    DDXX=(DDX+xx); %[km]
    %%% distance S-N in [km] lon_min (not important) between origine
    %%% and points of the spiral
    DDYY=(DDY+yy); %[km]
    
    %%%distance in km of 1 degree of lon @ lat_min
    DXWINDOW=m_lldist([lon_min lon_min+1],[lat_min lat_min]);%[km]
    DLON=DDXX/DXWINDOW;%%%conversion in lon degree @lat_min of DDXX
    %%%distance in km of 1 degree of lat @ lon_min
     DYWINDOW=m_lldist([lon_min lon_min],[lat_min lat_min+1]);%[km]
    DLAT=DDYY/DYWINDOW;%%%conversion in lat degree @lon_min of DDYY

    %%% longitude and latitude of points of the spiral
    lonspir=lon_min+DLON;
    latspir=lat_min+DLAT;

end

